/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __tanks_h__
#define __tanks_h__

#include "world.h"

void generate_tank_lists(World *);
void draw_shell(void);
void draw_missile(void);
void draw_cbomb(void);
void draw_parachute(void);
void draw_tank1_body(void);
void draw_tank1_turret(void);
void draw_tank1_gun(void);
void draw_track1(float, float);
void draw_chassis1(float);
void draw_turret1(float, float);
void draw_gun1(void);

#endif /* __tanks_h__ */
